> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a File Request

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = localizeLink(href);
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

To update some of the basic details for an existing
file request, all you need is its unique ID.

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X PUT "https://api.box.com/2.0/file_requests/42037322" \
       -H "authorization: Bearer <ACCESS_TOKEN>" \
       -d '{
         "title": "Please upload required documents",
         "description": "Please upload required documents",
         "status": "active",
         "is_email_required": true,
         "is_description_required": false
       }'
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.fileRequests.updateFileRequestById(copiedFileRequest.id, {
    title: 'updated title',
    description: 'updated description',
  } satisfies FileRequestUpdateRequest);
  ```

  ```python Python v10 theme={null}
  client.file_requests.update_file_request_by_id(
      copied_file_request.id, title="updated title", description="updated description"
  )
  ```

  ```csharp .NET v10 theme={null}
  await client.FileRequests.UpdateFileRequestByIdAsync(fileRequestId: copiedFileRequest.Id, requestBody: new FileRequestUpdateRequest() { Title = "updated title", Description = "updated description" });
  ```

  ```swift Swift v10 theme={null}
  try await client.fileRequests.updateFileRequestById(fileRequestId: copiedFileRequest.id, requestBody: FileRequestUpdateRequest(title: "updated title", description: "updated description"))
  ```

  ```java Java v10 theme={null}
  client.getFileRequests().updateFileRequestById(copiedFileRequest.getId(), new FileRequestUpdateRequest.Builder().title("updated title").description("updated description").build())
  ```

  ```java Java v5 theme={null}
  BoxFileRequest fileRequest = new BoxFileRequest(api, "id");
  BoxFileRequest.Info fileRequestInfo = fileRequest.new Info();
  fileRequestInfo.setDescription("Following documents are requested for your process");
  fileRequestInfo.setIsDescriptionRequired(true);
  fileRequestInfo.setStatus(BoxFileRequest.Status.ACTIVE);
  fileRequestInfo = fileRequest.updateInfo(fileRequestInfo);
  ```

  ```py Python v4 theme={null}
  from boxsdk.object.file_request import StatusState
  update_data = {
      "description": 'Updated description', 
      "is_email_required": True,
      "status": StatusState.ACTIVE
  }
  file_request.update_info(data=update_data)
  ```

  ```csharp .NET v6 theme={null}
  var updateRequest = new BoxFileRequestUpdateRequest
  {
      Description = "New file request description",
      Status = BoxFileRequestStatus.inactive
  };

  BoxFileRequestObject fileRequest = await client.FileRequestsManager.UpdateFileRequestAsync("12345", updateRequest);
  ```

  ```js Node v4 theme={null}
  client.fileRequests.update(fileRequestId, {
    title: 'Updated title'
  }).then((r: FileRequest) => {
    // do something with the updated file request 
    console.log(r)
  });
  ```
</CodeGroup>

For more details on the different fields that can be updated when creating
a template, please see the reference documentation for the
<Link href="/reference/put-file-requests-id">`POST /file-requests/:id/update`</Link> API.

<Note>
  The ID of a file request can be determined by visiting the Box web
  app and inspecting the URL. Please
  <Link href="/guides/file-requests/template">check our guide</Link> on setting up a file
  request template to learn how to determine a file request ID.
</Note>

<RelatedLinks
  title="RELATED APIS"
  items={[
{ label: translate("Update file request"), href: "/reference/put-file-requests-id", badge: "PUT" }
]}
/>

<RelatedLinks
  title="RELATED GUIDES"
  items={[
{ label: translate("Copy a File Request"), href: "/guides/file-requests/copy", badge: "GUIDE" },
{ label: translate("Get information for a File Request"), href: "/guides/file-requests/get", badge: "GUIDE" }
]}
/>
